
// GetWebPage.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Pomocí objektu typu URL získá webovou stránku.

  For use through a firewall, use something like:
     java -dmroxySet=true -dmroxyHost=SOMEHOST -dmroxyPort=SOMENUM GetWebPage <url>

  Tento příkaz je k dispozici v souboru GetWebPage.bat
*/

import java.net.*;
import java.io.*;


public class GetWebPage 
{

   public static void main(String args[]) throws IOException
   {
     if (args.length != 1) {
       System.out.println("použití:  java GetWebPage <url-adresa>");
       System.exit(0);
     }

     URL url  = new URL(args[0]);
	 BufferedReader br = new BufferedReader(
              new InputStreamReader( url.openStream() ));	
	 
     // vypiš prvních deset řádků stránky
     int numLine = 0;
     String line;
     while ( ((line = br.readLine()) != null) && (numLine <= 10) ) {
       System.out.println(line);
       numLine++;
     }
     if (line != null)
       System.out.println(". . .");

     br.close();                      
   }

} // konec třídy: GetWebPage
